cURL
curl --request POST \ --url https://api.kit.com/v4/snippets \ --header 'Content-Type: application/json' \ --header 'X-Kit-Api-Key: <api-key>' \ --data ' { "name": "Cat Fact of the Day", "snippet_type": "inline", "content": "Did you know, {{ subscriber.first_name }}? Cats can rotate their ears 180 degrees." } '
{ "snippet": { "id": 31, "name": "Cat Fact of the Day", "snippet_type": "inline", "archived": false, "key": "cat-fact-of-the-day", "created_at": "2026-04-28T18:55:07Z", "updated_at": "2026-04-28T18:55:07Z", "content": "Did you know, {{ subscriber.first_name }}? Cats can rotate their ears 180 degrees.", "document": { "id": 107, "value": null, "value_html": null, "value_plain": null, "version": 1 } } }
Documentation IndexFetch the complete documentation index at: https://developers.kit.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://developers.kit.com/llms.txt
Use this file to discover all available pages before exploring further.
Authenticate API requests via an API Key
Name of the snippet
Must be 'inline'
inline
Liquid-enabled text content for the snippet
Creates a new snippet
Show child attributes
Was this page helpful?